> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get temporary download URLs for multiple files

> Batch version of GET /files/:id/url. Returns time-limited URLs for up to 100 file IDs.



## OpenAPI

````yaml /openapi/customer-api.json post /project/{projectId}/files/urls
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Files
  - name: Import
  - name: Notifications
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /project/{projectId}/files/urls:
    post:
      tags:
        - Files
      summary: Get temporary download URLs for multiple files
      description: >-
        Batch version of GET /files/:id/url. Returns time-limited URLs for up to
        100 file IDs.
      operationId: FilesController_getUrls
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - description: Branch rendered by the shared Reader view.
          in: query
          name: branchId
          required: false
          schema:
            type: string
        - description: Saved view that granted the external Reader access.
          in: query
          name: viewId
          required: false
          schema:
            type: string
        - description: Reachable entity whose rich text or diagram references the file.
          in: query
          name: entityId
          required: false
          schema:
            type: string
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchFileUrlsRequestDto'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchFileUrlsResponseDto'
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    BatchFileUrlsRequestDto:
      properties:
        ids:
          items:
            type: string
          type: array
      required:
        - ids
      type: object
    BatchFileUrlsResponseDto:
      properties:
        urls:
          additionalProperties:
            properties:
              expires_in:
                type: number
              original_name:
                type: string
              url:
                type: string
            type: object
          type: object
      required:
        - urls
      type: object
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````